%define beta b2
Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	kile - an integrated LaTeX environment
Name:      	kile
Version:   	2.1
Release:   	1
Provides:	kile
License: 	GNU/GPL
URL:		http://kile.sourceforge.net
Group:     	Office
Source0: 	%{name}-%{version}%{?beta:%{beta}}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: kdelibs-devel
BuildRequires: libgcc
BuildRequires: libstdc++-devel
BuildRequires: qt4-devel

%description
Kile is a user friendly TeX/LaTeX editor for the KDE desktop environment.
The main features are:

    * Compile, convert and view your document with one click.
    * Auto-completion of (La)TeX commands
    * Templates and wizards makes starting a new document very little work.
    * Easy insertion of many standard tags and symbols and the option to define (an arbitrary number of) user defined tags.
    * Inverse and forward search: click in the DVI viewer and jump to the corresponding LaTeX line in the editor, or jump from the editor to the corresponding page in the viewer.
    * Finding chapter or sections is very easy, Kile constructs a list of all the chapter etc. in your document. You can use the list to jump to the corresponding section.
    * Collect documents that belong together into a project.
    * Easy insertion of citations and references when using projects.
    * Flexible and smart build system to compile your LaTeX documents.
    * QuickPreview, preview a selected part of your document.
    * Easy access to various help sources.
    * Advanced editing commands.
						
%prep
%setup -n %{name}-%{version}%{?beta:%{beta}}

%build
mkdir build
pushd build
cmake ../. -DCMAKE_INSTALL_PREFIX=%{_prefix} 
make %{?_smp_mflags}
popd build

%install
rm -rf $RPM_BUILD_ROOT
pushd build
make install DESTDIR=$RPM_BUILD_ROOT
popd build
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_bindir}/kile
%{_datadir}/applications/kde4/kile.desktop
%{_datadir}/config.kcfg/kile.kcfg
%{_datadir}/dbus-1/interfaces/net.sourceforge.kile.main.xml
%{_datadir}/doc/kile/
%{_datadir}/icons/hicolor/*/apps/kile.png
%{_datadir}/icons/hicolor/scalable/apps/kile.svgz
%{_datadir}/kde4/apps/kconf_update/kile*
%{_datadir}/mimelink/text/x-kilepr.desktop
%{_datadir}/kde4/apps/kile/

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Oct 18 2009 Karsten Brockmann <arcam@ccux-linux.de> 2.1-1
- version update
- beta2
- this is the KDE4 branch of kile
* Sun May 11 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.0.1-1
- version update
* Wed Nov 21 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.0-1
- version update
* Tue Apr 24 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.9.3-2
- fixed conflict with kdelibs package
* Thu Mar 08 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.9.3-1
- Version update
* Fri Aug 12 2005 Christian Metzen <metzench@ccux-linux.de> 1.8.1-1
- Initial Release
